Page MenuHomePhabricator

openvpn configuration - not important, just for beauty :)
Closed, ResolvedPublicBUG

Description

vyos@vyos# set interfaces openvpn vtun0 authentication
Possible completions:

password     OpenVPN username
username     OpenVPN password

username and password in the description are reverse.

vyos@vyos# set interfaces openvpn vtun0 remote-port
Possible completions:

<0-4294967295>
             Remote port number to connect to

the port suggestions are a bit high, and the description would fit on the same row if it was 1-65535

Details

Difficulty level
Easy (less than an hour)
Version
1.2.0-rolling+201808210337
Why the issue appeared?
Will be filled on close
mrjones created this task.Aug 23 2018, 9:37 PM
c-po added a subscriber: c-po.Aug 24 2018, 6:22 PM

Simply fixing the node.def for remote-port and local-port will break existing configuration as also the Perl script requires changes for this to work.

c-po moved this task from Need Triage to In Progress on the VyOS 1.2.x board.Aug 24 2018, 6:23 PM
syncer triaged this task as Normal priority.Sep 1 2018, 2:44 PM
syncer edited projects, added VyOS 1.2.x (VyOS 1.2.0-rc1); removed VyOS 1.2.x.
syncer assigned this task to c-po.
syncer added a subscriber: syncer.

@c-po this is finished, right?

c-po added a comment.EditedSep 1 2018, 3:03 PM

The user/password thing is closed. The Port issue seems to not be easy. Will be easier with a vyos-1x rewrite

c-po closed this task as Resolved.Oct 20 2018, 9:33 PM